Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.interceptor
Class CompositeTransactionAttributeSource

    java.lang.Object
      org.springframework.transaction.interceptor.CompositeTransactionAttributeSource

All Implemented Interfaces:
  Serializable, TransactionAttributeSource

    public class CompositeTransactionAttributeSource

extends Object
implements TransactionAttributeSource, Serializable

Composite `TransactionAttributeSource` implementation that iterates over a given array of `TransactionAttributeSource` instances.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`CompositeTransactionAttributeSource(TransactionAttributeSource[] transactionAttributeSources)` Create a new CompositeTransactionAttributeSource for the given sources.

Method Summary
`TransactionAttribute` | `getTransactionAttribute(Method method, Class targetClass)` Return the transaction attribute for this method.
`TransactionAttributeSource[]` | `getTransactionAttributeSources()` Return the TransactionAttributeSource instances that this CompositeTransactionAttributeSource combines.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeTransactionAttributeSource

    public CompositeTransactionAttributeSource(TransactionAttributeSource[] transactionAttributeSources)

  Create a new CompositeTransactionAttributeSource for the given sources.

  Parameters:
    `transactionAttributeSources` - the TransactionAttributeSource instances to combine

Method Detail

### getTransactionAttributeSources

    public final TransactionAttributeSource[] getTransactionAttributeSources()

  Return the TransactionAttributeSource instances that this CompositeTransactionAttributeSource combines.

### getTransactionAttribute

    public TransactionAttribute getTransactionAttribute(Method method,
                                                        Class targetClass)

  Description copied from interface: `TransactionAttributeSource`
  Return the transaction attribute for this method. Return null if the method is non-transactional.

  Specified by:
    `getTransactionAttribute` in interface `TransactionAttributeSource`
  Parameters:
    `method` - method
    `targetClass` - target class. May be `null`, in which case the declaring class of the method must be used.
  Returns:
    TransactionAttribute the matching transaction attribute, or `null` if none found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.